<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * @UniqueEntity(fields={"slug"})
 */
class ArticleTranslation extends AbstractReferableTranslation implements ArticleTranslationInterface
{
    protected ?int $id = null;

    /** @Assert\Length(max="255", groups={"default", "sylius"}) */
    protected ?string $slug = null;

    /**
     * @Assert\NotBlank(groups={"default", "sylius"})
     *
     * @Assert\Length(max="255", groups={"default", "sylius"})
     */
    protected ?string $title = null;

    /** @Assert\NotBlank(groups={"default", "sylius"}) */
    protected ?string $content = null;

    protected ?string $description = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getSlug(): ?string
    {
        return $this->slug;
    }

    public function setSlug(?string $slug): self
    {
        $this->slug = $slug;

        return $this;
    }

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function setTitle(?string $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function getContent(): ?string
    {
        return $this->content;
    }

    public function setContent(?string $content): self
    {
        $this->content = $content;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(?string $description): self
    {
        $this->description = $description;

        return $this;
    }
}
